aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/pacman-disowned16
-rwxr-xr-xbin/pacoptpd14
2 files changed, 30 insertions, 0 deletions
diff --git a/bin/pacman-disowned b/bin/pacman-disowned
new file mode 100755
index 0000000..df1b5da
--- /dev/null
+++ b/bin/pacman-disowned
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+tmp=${TMPDIR-/tmp}/pacman-disowned-$UID-$$
+db=$tmp/db
+fs=$tmp/fs
+
+mkdir "$tmp"
+trap 'rm -rf "$tmp"' EXIT
+
+pacman -Qlq | sort -u > "$db"
+
+find /bin /etc /lib /sbin /usr \
+ ! -name lost+found \
+ \( -type d -printf '%p/\n' -o -print \) | sort > "$fs"
+
+comm -23 "$fs" "$db"
diff --git a/bin/pacoptpd b/bin/pacoptpd
new file mode 100755
index 0000000..30e09ec
--- /dev/null
+++ b/bin/pacoptpd
@@ -0,0 +1,14 @@
+#!/bin/bash
+#
+# list optional dependencies of installed packages
+#
+
+for i in $(pacman -Qq)
+do
+ deps="$(pacman -Qi ${i} | awk '/Optional/,/Required/' | grep -v "Required" | sed -e 's/Optional Deps[ ]*://g' -e 's/^[ ]*/ /')"
+ if [ "$deps" != " None" ]; then
+ echo "$i"
+ echo "$deps"
+ echo ""
+ fi
+done